Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomImplementation.InvalidDataPolicy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xml.QDomImplementation.InvalidDataPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDomImplementation

    public static final class QDomImplementation.InvalidDataPolicy

extends java.lang.Enum
implements QtEnumerator

This enum specifies what should be done when a factory function in `QDomDocument` is called with invalid data.

See also:
  `setInvalidDataPolicy()`, and `invalidDataPolicy()`.

See Also:
  Serialized Form

Field Summary
`static QDomImplementation.InvalidDataPolicy` | `AcceptInvalidChars` The data should be stored in the DOM object anyway.
`static QDomImplementation.InvalidDataPolicy` | `DropInvalidChars` The invalid characters should be removed from the data.
`static QDomImplementation.InvalidDataPolicy` | `ReturnNullNode` The factory function should return a null node.

Method Summary
`static QDomImplementation.InvalidDataPolicy` | `resolve(int value)` Returns the InvalidDataPolicy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDomImplementation.InvalidDataPolicy` | `valueOf(java.lang.String name)`
`static QDomImplementation.InvalidDataPolicy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AcceptInvalidChars

    public static final QDomImplementation.InvalidDataPolicy AcceptInvalidChars

  The data should be stored in the DOM object anyway. In this case the resulting XML document might not be well-formed. This is the default value and `QDom` 's behavior in Qt < 4.1.

### DropInvalidChars

    public static final QDomImplementation.InvalidDataPolicy DropInvalidChars

  The invalid characters should be removed from the data.

### ReturnNullNode

    public static final QDomImplementation.InvalidDataPolicy ReturnNullNode

  The factory function should return a null node.

Method Detail

### values

    public static QDomImplementation.InvalidDataPolicy[] values()

### valueOf

    public static QDomImplementation.InvalidDataPolicy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDomImplementation.InvalidDataPolicy resolve(int value)

  Returns the InvalidDataPolicy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD